Bug 988698 - When upgrade/downgrade this package must install/uninstall nvidia driver(proprietary)
When upgrade/downgrade this package must install/uninstall nvidia driver(prop...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 03:26 EDT by Marian
Modified: 2015-02-17 11:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:22:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.spec file of this package .Create new subpackage Xvidia wich remain uninstalled on driver proprietari on system (36.96 KB, text/x-rpm-spec)
2013-08-02 14:17 EDT, Marian
no flags Details
Xvidia patch (1.40 KB, patch)
2013-08-03 09:20 EDT, Marian
no flags Details | Diff

  None (edit)
Description Marian 2013-07-26 03:26:10 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
On terminal run yum downgrade/upgrade xorg-x11-server-Xorg

Steps to Reproduce:
1.downgrade/upgrade xorg-x11-server-Xorg
2.After logout Oops' screen on gnome-shell appear
3.

Actual results:


Expected results:
Do not reinstall nvidia driver downloaded from http://www.nvidia.co.uk/object/linux-display-amd64-319.32-driver-uk.html

Additional info:
When try to install nvidia 
ERROR:File '/usr/lib64/xorg/modules/extensions/libglx.so' is not symbolic link
Comment 1 Sergio Monteiro Basto 2013-07-30 16:55:28 EDT
this will be marked as "not a bug" if nvidia driver , you may use nvidia drivers of rpmfusion ( http://rpmfusion.org/Configuration ) and  report on rpmfusion bugzilla if problem persist .
Comment 2 Marian 2013-07-31 14:38:14 EDT
Is not complicate to solve this bug.When driver proprietary is installed ,inform the Xorg package to do not touch extension libglx in use.
Comment 3 Marian 2013-08-02 14:17:08 EDT
Created attachment 782117 [details]
.spec file of this package .Create new subpackage Xvidia wich remain uninstalled on driver proprietari on system
Comment 4 Sergio Monteiro Basto 2013-08-03 07:55:43 EDT
(In reply to Marian from comment #3)
> Created attachment 782117 [details]
> .spec file of this package .Create new subpackage Xvidia wich remain
> uninstalled on driver proprietari on system

I please givus us the diff of original and yours , with git diff , or diff -up spec.orig spec
Comment 5 Marian 2013-08-03 09:20:00 EDT
Created attachment 782307 [details]
Xvidia patch
Comment 6 Sergio Monteiro Basto 2013-08-04 21:19:02 EDT
I think we can live with the 2 libglx.so , 
rpmfusion [1] provides the right paths on xorg.d/ confs for work properly.
So for what understand on this bug report , if you install correctly the property drives, you don't have this problem . 
 
So may be this should be close as "not a bug"

So I advice use http://rpmfusion.org/Configuration and report any
install problem in https://bugzilla.rpmfusion.org/ , and we will have
more tests and quality assurance of drives on rpmfusion and you will have less work ...
Comment 7 Marian 2013-08-05 02:25:32 EDT
Is't big deal to have 1 subpack extra ,nothing wrong is happen.
Comment 8 Fedora End Of Life 2015-01-09 14:06:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 11:22:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.